@echo off
echo 欢迎使用存档修复程序
echo 本程序会将您的存档备份后替换为默认存档（来源于网络）
set /p y=请输入 y 确认您使用的是 Windows 7 及以上系统：
if not "%y%"=="y" ( goto exit )
set /p y=请输入 y 确认您使用的不是 steam 版本：
if not "%y%"=="y" ( goto exit )
set /p y=请输入 y 确认您没有以管理员权限或兼容模式运行植物大战僵尸：
if not "%y%"=="y" ( goto exit )
set /p y=即将把原来的存档移动至本目录下的 userdata_o 文件夹中，请输入 y 确认：
if not "%y%"=="y" ( goto exit )
md userdata_o
move "C:\ProgramData\PopCap Games\PlantsVsZombies\userdata\*" "userdata_o"
set /p y=即将把本目录下的 userdata 文件夹中的默认存档（来源于网络）拷贝至存档文件夹，请输入 y 确认：
if not "%y%"=="y" ( goto exit )
md "C:\ProgramData\PopCap Games\PlantsVsZombies\userdata"
copy "userdata\*" "C:\ProgramData\PopCap Games\PlantsVsZombies\userdata"
:exit
echo 程序结束运行
pause